<?php
// REGISTER BLOCK


// be sure tax are registered
include_once(FR_DIR .'/admin_menu.php'); 
register_cpt_fr_faq();

$subjs_n_childs = array('' => '('. __('none', 'fr_ml') .')') + fr_sub_subsubjs_for_builders();

$subjs 			= array('' => '('. __('none', 'fr_ml') .')');
foreach(fr_get_subjs() as $s) {
	$subjs[$s->term_id] = $s->name;
}


// structure
$defaults = array(
	'subj_n_child' => array(
		'label'		=> __('Predefined subject', 'fr_ml'),
		'type'		=> 'select',
		'opts'		=> $subjs_n_childs,
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'req_src' => array(
		'label'		=> __('Show FAQs only filling searchbar?', 'fr_ml'),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
    'excl_subj' => array(
		'label'		=> __('Excluded subjects', 'fr_ml'),
		'type'		=> 'multi-opt',
		'opts'		=> fr_sub_subsubjs_for_builders(true),
		'default' 	=> false,
		'panel'		=> 'main',
	),
);




$defaults = fr_fix_block_defs($defaults);

register_block_type('lcweb/faq-revo', array(
	'editor_script' 	=> 'fr_on_guten',
	'render_callback' 	=> 'fr_guten_handler',
	'attributes' 		=> $defaults
));



wp_localize_script('wp-blocks', 'fr_defaults', $defaults);
