<?php
//  visual composer integration


function fr_on_visual_composer() {
	
	// be sure tax are registered
	include_once(FR_DIR .'/admin_menu.php'); 
	register_cpt_fr_faq();
	
	$subjs_n_childs = array_flip( array('' => '('. __('none', 'fr_ml') .')') + fr_sub_subsubjs_for_builders() );
	
	
	// parameters
	$params = array(
		array(
			'group'			=> __('Main parameters', 'fr_ml'),
			'type' 			=> 'dropdown',
			'heading' 		=> __('Predefined subject', 'fr_ml'),
			'param_name' 	=> 'subj_n_child',
			'admin_label' 	=> true,
			'value' 		=> $subjs_n_childs,
			'description'	=> '',
		),
        array(
			'group'			=> __('Main parameters', 'fr_ml'),
			'type' 			=> 'checkbox',
			'heading' 		=> __('Excluded subject', 'fr_ml'),
			'param_name' 	=> 'excl_subj',
			'admin_label' 	=> true,
			'value' 		=> fr_sub_subsubjs_for_builders(true),
			'description'	=> '',
		),
		array(
			'group'			=> __('Main parameters', 'fr_ml'),
			'type' 			=> 'checkbox',
			'param_name' 	=> 'req_src',
			'value' 		=> array(
				'<strong>'. __('Show FAQs only filling searchbar?', 'fr_ml') .'</strong>' => 1
			),
			'description'	=> '',
		),
	);
	///////////////////////////////////////*/
	
		  
	
	// compile
	vc_map(
        array(
            'name' 			=> 'FAQ Revolution',
			'description'	=> __("Displays FAQs search system", 'fr_ml'),
            'base' 			=> 'faq-revo-searchbar',
            'category' 		=> __("Content", 'fr_ml'),
			'icon'			=> FR_URL .'/img/vc_icon.png',
            'params' 		=> $params
        )
    );
}
add_action('vc_before_init', 'fr_on_visual_composer');