<?php
// Elementor shortcodes integration

function fr_on_elementor($widgets_manager) {
    $basepath = FR_DIR .'/builders_integration/elementor_elements';
    
    $widgets = array(
        'faq_search' => 'fr_faq_search_on_elementor',
    );
    
    foreach($widgets as $filename => $classname) {
        
        include_once($basepath .'/'. $filename .'.php');
        $widgets_manager->register( new $classname() );
    }
}
add_action('elementor/widgets/register', 'fr_on_elementor');





// style needed for LCweb icons
add_action('elementor/editor/after_enqueue_styles', function() {
    wp_enqueue_style('lcweb-elementor-icon', FR_URL .'/builders_integration/elementor_elements/lcweb_icon.css');	
});